[SciPy-user] scipy binary on pythonmac.org appears broken

Andrew Straw strawman at astraw.com
Mon Jan 29 17:05:57 CST 2007


This is just a heads up that the scipy binary on pythonmac.org appears 
to be broken, or at least incompatible with the version of numpy on the 
same website.

I downloaded 
http://pythonmac.org/packages/py24-fat/mpkg/scipy-0.5.1-py2.4-macosx10.4.mpkg.zip 
(referenced from the package listing page at 
http://pythonmac.org/packages/py24-fat/ . I am running the Python 2.4 
listed on that page.)

The command
python -c "import scipy; scipy.test(10,10)"
runs fine, although only 397 tests are run, which seems rather few.

However, the following command gives an error.

$ python -c "import scipy.io"
RuntimeError: module compiled against version 1000002 of C-API but this 
version of numpy is 1000009
Traceback (most recent call last):
  File "<string>", line 1, in ?
  File 
"/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/scipy/io/__init__.py", 
line 8, in ?
    from numpyio import packbits, unpackbits, bswap, fread, fwrite, \
ImportError: numpy.core.multiarray failed to import

I am using the numpy also listed on that page: 
http://pythonmac.org/packages/py24-fat/dmg/numpy-1.0.1-py2.4-macosx10.4-2006-12-12.dmg

As far as I know, this is a clean install.

This is my first go with Mac OS X in a long time, so I could easily be 
doing something stupid...

I will probably endeavor to build from sources before too long, but I 
thought someone should know that package appears broken.


More information about the SciPy-user mailing list